BOOTLOGD(8)

NOM
bootlogd – Enregistrer les messages au démarrage

SYNOPSIS
/sbin/bootlogd [-c] [-d] [-e] [-r] [-s] [-v] [ -l fichier_journal ] [ -p fichier_pid ]

DESCRIPTION
bootlogd fonctionne en arrière plan et copie toutes les chaînes envoyées au périphérique /dev/console dans un fichier journal. Si le fichier_journal n'est pas disponible, les messages sont conservés en mémoire jusqu'à ce qu'il le soit.

OPTIONS

-d  Ne pas fourcher et exécuter en arrière plan.

-e  Écrire les caractères d’échappement dans le fichier journal de démarrage. Cela empêche le filtrage des caractères d’échappement et permet à des outils comme less(1) de GNU d’afficher des caractères de contrôle colorés (affichage du journal en couleur).

-c  Essayer d'écrire dans le fichier journal même s'il n'existe pas. Sans cette option, bootlogd attendra que le fichier journal apparaisse avant d'essayer d'y écrire. Ce comportement permet d'éviter à bootlogd de créer des fichiers journal sous les points de montage.

-r  Si un fichier journal fichier_journal existe déjà, le renommer en fichier_journal~ à moins que fichier_journal~ n'existe déjà.

-s  S'assurer que les données sont écrites dans le fichier après chaque ligne en appelant fdatasync(3). Cela ralentira un processus fsck(8) qui s'exécuterait en parallèle.

-v  Afficher la version.

-l fichier_journal
    Enregistrer dans ce fichier journal. La valeur par défaut est /var/log/boot.

-p fichier_pid
    Mettre l'identifiant du processus dans ce fichier. Par défaut, il n'y a pas de fichier de PID écrit.

NOTES
bootlogd enregistre les données de journal qui incluent des caractères de contrôle. Le journal est techniquement un fichier texte, mais n’est pas de lecture aisée. Pour remédier à cela, la commande readbootlog(1) peut être utilisée pour afficher le journal de démarrage sans ces caractères de contrôle.

BOGUES
bootlogd fonctionne en redirigeant la sortie de la console du périphérique de la console (en conséquence, bootlogd nécessite la gestion des pseudoterminaux (PTY) dans la configuration du noyau). Il copie cette sortie vers le périphérique réel de la console et vers un fichier journal. Il n'y a aucun moyen d'obtenir avec certitude le périphérique réel de la console si vous avez le nouveau type de périphérique /dev/console (numéro majeur 5, mineur 1). bootlogd analyse donc la ligne de commande du noyau pour rechercher des lignes console=... et en déduire le périphérique réel. Si cette syntaxe est changée par le noyau ou qu'un type de console inconnu de bootlogd est utilisé, alors bootlogd ne fonctionnera pas.

AUTEUR
Miquel van Smoorenburg (miquels@cistron.nl)

VOIR AUSSI
dmesg(8), fdatasync(3), readbootlog(1)